Package org.eclipse.emf.cdo.server.db

# Interface IIDHandler

All Superinterfaces:
  `Comparator<CDOID>`

public interface IIDHandler extends Comparator<CDOID>
Abstracts the handling of `IDs` of different `ID types`.

Since:
  4.0
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`NULL_STRING`

## Method Summary

Modifier and Type
Method
Description
`void`
`adjustLastObjectID(CDOID maxID)`
`void`
`appendCDOID(StringBuilder builder, CDOID id)`
`CDOID`
`createCDOID(String val)`
`boolean`
`deleteURIMapping(Statement statement, String uri)`
`CDOID`
`getCDOID(ResultSet resultSet, int column)`
`CDOID`
`getCDOID(ResultSet resultSet, String name)`
`org.eclipse.net4j.db.DBType`
`getDBType()`
`CDOID`
`getLastObjectID()`
`CDOID`
`getMaxCDOID()`
`CDOID`
`getMinCDOID()`
`CDOID`
`getNextCDOID(CDORevision revision)`
`CDOID`
`getNextLocalObjectID()`
`Set<CDOID.ObjectType>`
`getObjectIDTypes()`
`ITypeMapping`
`getObjectTypeMapping()`
`IDBStore`
`getStore()`
`String`
`getStringValue(ResultSet resultSet, int column)`
`boolean`
`isLocalCDOID(CDOID id)`
Deprecated.
Not used anymore.
`CDOID`
`mapURI(IDBStoreAccessor accessor, String uri, long commitTime)`
`void`
`rawExport(Connection connection, CDODataOutput out, long fromCommitTime, long toCommitTime)`
`void`
`rawImport(Connection connection, CDODataInput in, long fromCommitTime, long toCommitTime, org.eclipse.net4j.util.om.monitor.OMMonitor fork)`
`void`
`setCDOID(PreparedStatement stmt, int column, CDOID id)`
`void`
`setCDOID(PreparedStatement stmt, int column, CDOID id, long commitTime)`
`void`
`setCDOIDRaw(PreparedStatement stmt, int column, Object id)`
`void`
`setLastObjectID(CDOID lastObjectID)`
`void`
`setNextLocalObjectID(CDOID nextLocalObjectID)`
`String`
`unmapURI(IDBStoreAccessor accessor, CDOID id)`

### Methods inherited from interface java.util.Comparator

`compare, equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

## Field Details

### NULL_STRING

static final String NULL_STRING

Since:
  4.14
See Also:
  - Constant Field Values

## Method Details

### getStore

IDBStore getStore()

### getDBType

org.eclipse.net4j.db.DBType getDBType()

### getObjectIDTypes

Set<CDOID.ObjectType> getObjectIDTypes()

### getObjectTypeMapping

ITypeMapping getObjectTypeMapping()

### createCDOID

CDOID createCDOID(String val)

### isLocalCDOID

@Deprecated boolean isLocalCDOID(CDOID id)
Deprecated.
Not used anymore.

### getLastObjectID

CDOID getLastObjectID()

### setLastObjectID

void setLastObjectID(CDOID lastObjectID)

### adjustLastObjectID

void adjustLastObjectID(CDOID maxID)

Since:
  4.1

### getNextLocalObjectID

CDOID getNextLocalObjectID()

### setNextLocalObjectID

void setNextLocalObjectID(CDOID nextLocalObjectID)

### getNextCDOID

CDOID getNextCDOID(CDORevision revision)

### appendCDOID

void appendCDOID(StringBuilder builder, CDOID id)

### setCDOIDRaw

void setCDOIDRaw(PreparedStatement stmt, int column, Object id) throws SQLException

Throws:
  `SQLException`
Since:
  4.1

### setCDOID

void setCDOID(PreparedStatement stmt, int column, CDOID id) throws SQLException

Throws:
  `SQLException`

### setCDOID

void setCDOID(PreparedStatement stmt, int column, CDOID id, long commitTime) throws SQLException

Throws:
  `SQLException`

### getCDOID

CDOID getCDOID(ResultSet resultSet, int column) throws SQLException

Throws:
  `SQLException`

### getCDOID

CDOID getCDOID(ResultSet resultSet, String name) throws SQLException

Throws:
  `SQLException`

### getStringValue

String getStringValue(ResultSet resultSet, int column) throws SQLException

Throws:
  `SQLException`
Since:
  4.14

### getMinCDOID

CDOID getMinCDOID()

### getMaxCDOID

CDOID getMaxCDOID()

### mapURI

CDOID mapURI(IDBStoreAccessor accessor, String uri, long commitTime)

### unmapURI

String unmapURI(IDBStoreAccessor accessor, CDOID id)

### deleteURIMapping

boolean deleteURIMapping(Statement statement, String uri)

Since:
  4.14

### rawExport

void rawExport(Connection connection, CDODataOutput out, long fromCommitTime, long toCommitTime) throws IOException

Throws:
  `IOException`

### rawImport

void rawImport(Connection connection, CDODataInput in, long fromCommitTime, long toCommitTime, org.eclipse.net4j.util.om.monitor.OMMonitor fork) throws IOException

Throws:
  `IOException`